summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRobert Gerus <arachnist@i.am-a.cat>2015-04-09 17:04:06 +0200
committerRobert Gerus <arachnist@i.am-a.cat>2015-04-09 17:04:06 +0200
commitba1a416147cadd5a08bfba191a61959c0ef52160 (patch)
tree8894dfbb170d936efc7a66d1a6147eb9946f04ae
parentccad096f7cfd8853e2a74429ce665a7eda8fbf77 (diff)
downloadgentoo-overlay-ba1a416147cadd5a08bfba191a61959c0ef52160.tar.gz
gentoo-overlay-ba1a416147cadd5a08bfba191a61959c0ef52160.tar.bz2
gentoo-overlay-ba1a416147cadd5a08bfba191a61959c0ef52160.tar.xz
gentoo-overlay-ba1a416147cadd5a08bfba191a61959c0ef52160.zip
Import new libseccomp
-rw-r--r--profiles/categories1
-rw-r--r--sys-libs/libseccomp/Manifest2
-rw-r--r--sys-libs/libseccomp/libseccomp-2.2.0.ebuild41
3 files changed, 44 insertions, 0 deletions
diff --git a/profiles/categories b/profiles/categories
index 4b2ffac..7a62281 100644
--- a/profiles/categories
+++ b/profiles/categories
@@ -5,4 +5,5 @@ media-sound
net-im
sys-fs
sys-kernel
+sys-libs
x11-libs
diff --git a/sys-libs/libseccomp/Manifest b/sys-libs/libseccomp/Manifest
new file mode 100644
index 0000000..babf647
--- /dev/null
+++ b/sys-libs/libseccomp/Manifest
@@ -0,0 +1,2 @@
+DIST libseccomp-2.2.0.tar.xz 93328 SHA256 b122fc31e23e33aa1b1dad055d5feebe7843ba51950c257778dda9b7d5fbbc08 SHA512 19c6b13108e9f1c3999d8b634ec78e20bb4895fcdc2ea46cada296ab09cb05eec19e25426be17c0ea8ba51bde3be02da0a14eb304096308527622255427d0107 WHIRLPOOL 56bc5ce1443ea7c9ac17690ef99244b85d1912d57a556c25e80e1e202f64da9ee802fd28074cd8c396823b9acbdde753f8e572d0bed3e8d7397ec87f33ef2c11
+EBUILD libseccomp-2.2.0.ebuild 912 SHA256 c4ee4052a8e85a46b9bc1c7fd798c68840dc97112232d22bc35f270134123e63 SHA512 2b70cd1ae3e250c20b09f1584de5e97bda2c7d1f1422b3250bf787b4b2450110d6d851dd83707f7257c9f4de035db7f5215896c92b7e671a961b652f4d1ff312 WHIRLPOOL 784db3909ec3012097bddae659060ac89dd3eba8adf91518ec85cd579a3d4e6b30b40a6c00d44d4fee2a98f06e6e4af79e1eb1822cac76209dd3a41a72ee2ccb
diff --git a/sys-libs/libseccomp/libseccomp-2.2.0.ebuild b/sys-libs/libseccomp/libseccomp-2.2.0.ebuild
new file mode 100644
index 0000000..8e4839e
--- /dev/null
+++ b/sys-libs/libseccomp/libseccomp-2.2.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-libs/libseccomp/libseccomp-2.1.1.ebuild,v 1.4 2014/01/14 13:52:31 ago Exp $
+
+# Note: USE=static-libs isn't great -- only PIC objects are provided.
+
+EAPI="4"
+
+inherit eutils
+
+DESCRIPTION="high level interface to Linux seccomp filter"
+HOMEPAGE="https://github.com/seccomp/libseccomp"
+SRC_URI="mirror://github/seccomp/${PN}/${P}.tar.xz"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="amd64 arm x86"
+IUSE="static-libs"
+
+src_prepare() {
+ sed -i \
+ -e '/^SUBDIRS_BUILD/s:tests::' \
+ Makefile || die
+ sed -i \
+ -e '/^LDFLAGS/s|:=|+=|' \
+ {tests,tools}/Makefile || die
+ export MAKEOPTS+=" V=1"
+ tc-export AR CC
+ export GCC=${CC}
+}
+
+src_test() {
+ emake SUBDIRS_BUILD='tests'
+ cd tests
+ ./regression || die
+}
+
+src_install() {
+ default
+ use static-libs && dolib.a src/libseccomp.a
+}